>From 00882823d9e888701fb8d055f5cb8a3a84f36818 Mon Sep 17 00:00:00 2001
From: Nikhil R Deshpande <ndeshpande@vmware.com>
Date: Mon, 23 Jun 2014 13:33:47 -0700
Subject: [PATCH] Fix crash during connect using SSPI auth

This patch fixes a NULL pointer dereference occurring when connecting
using SSPI authentication (without kerberos, a local Windows user trying
to connect to postgres instance on same host).
---
 dlg_specific.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlg_specific.c b/dlg_specific.c
index 8e051af..54525e3 100644
--- a/dlg_specific.c
+++ b/dlg_specific.c
@@ -1740,7 +1740,7 @@ char *extract_attribute_setting(const char *str, const char *attr, BOOL ref_comm
  */
 char *extract_extra_attribute_setting(const pgNAME setting, const char *attr)
 {
-	const char *str = GET_NAME(setting);
+	const char *str = SAFE_NAME(setting);
 	const char *cptr, *sptr = NULL;
 	char	   *rptr;
 	BOOL	allowed_cmd = FALSE, in_quote = FALSE, in_comment = FALSE;
-- 
1.8.5.2 (Apple Git-48)

